<?xml version="1.0" encoding="utf-8"?>
<!--Generated by DataTracks Rainbow version 3.5 for DFIN Solutions on 23-March-2023 [07:30:47] {AM}-->
<linkbase xmlns="http://www.xbrl.org/2003/linkbase" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xlink="http://www.w3.org/1999/xlink" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" roleURI="http://www.xbrl.org/2009/role/negatedLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodEndLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodEndLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedPeriodStartLabel" roleURI="http://www.xbrl.org/2009/role/negatedPeriodStartLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTotalLabel" roleURI="http://www.xbrl.org/2009/role/negatedTotalLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedNetLabel" roleURI="http://www.xbrl.org/2009/role/negatedNetLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedTerseLabel" roleURI="http://www.xbrl.org/2009/role/negatedTerseLabel" />
  <roleRef xlink:type="simple" xlink:href="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd#netLabel" roleURI="http://www.xbrl.org/2009/role/netLabel" />
  <labelLink xlink:type="extended" xlink:role="http://www.xbrl.org/2003/role/link">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GrossProfit" xlink:label="loc_ifrs-full_GrossProfit" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_GrossProfit" xml:lang="en">Gross profit</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_GrossProfit" xlink:to="lab_ifrs-full_GrossProfit" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SellingGeneralAndAdministrativeExpense" xlink:label="loc_ifrs-full_SellingGeneralAndAdministrativeExpense" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_SellingGeneralAndAdministrativeExpense" xml:lang="en">Selling, general and administrative expense</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_SellingGeneralAndAdministrativeExpense" xlink:to="lab_ifrs-full_SellingGeneralAndAdministrativeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ResearchAndDevelopmentExpense" xlink:label="loc_ifrs-full_ResearchAndDevelopmentExpense" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_ResearchAndDevelopmentExpense" xml:lang="en">Research and development</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_ResearchAndDevelopmentExpense" xlink:to="lab_ifrs-full_ResearchAndDevelopmentExpense" />
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_Sales" xlink:label="loc_stm_Sales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_Sales" xml:lang="en">Sales</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_Sales" xlink:to="lab_stm_Sales" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_Sales" xml:lang="en">Sales..</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilitiesAbstract" xlink:label="loc_ifrs-full_CurrentLiabilitiesAbstract" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/terseLabel" xlink:label="lab_ifrs-full_CurrentLiabilitiesAbstract" xml:lang="en">Current liabilities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CurrentLiabilitiesAbstract" xlink:to="lab_ifrs-full_CurrentLiabilitiesAbstract" />
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_PropertyPlantAndEquipmentAndRightOfUse" xlink:label="loc_stm_PropertyPlantAndEquipmentAndRightOfUse" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_PropertyPlantAndEquipmentAndRightOfUse" xml:lang="en">Property Plant And Equipment And Right Of Use</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PropertyPlantAndEquipmentAndRightOfUse" xlink:to="lab_stm_PropertyPlantAndEquipmentAndRightOfUse" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_PropertyPlantAndEquipmentAndRightOfUse" xml:lang="en">Property plant and equipment and right of use.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="loc_ifrs-full_PurchaseOfTreasuryShares" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_PurchaseOfTreasuryShares" xml:lang="en">Purchase of treasury shares</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_PurchaseOfTreasuryShares" xlink:to="lab_ifrs-full_PurchaseOfTreasuryShares" />
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_TransferOfCashFlowHedgeReserveToInventories" xlink:label="loc_stm_TransferOfCashFlowHedgeReserveToInventories" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_TransferOfCashFlowHedgeReserveToInventories" xml:lang="en">Transfer Of Cash Flow Hedge Reserve To Inventories</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_TransferOfCashFlowHedgeReserveToInventories" xlink:to="lab_stm_TransferOfCashFlowHedgeReserveToInventories" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_TransferOfCashFlowHedgeReserveToInventories" xml:lang="en">Transfer of cash flow hedge reserve to inventories.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:label="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xml:lang="en">Repayments of bonds, notes and debentures</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_RepaymentsOfBondsNotesAndDebentures" xlink:to="lab_ifrs-full_RepaymentsOfBondsNotesAndDebentures" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" xml:lang="en">Net cash flows from (used in) financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xml:lang="en">Dividends paid to equity holders of parent, classified as financing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:label="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xml:lang="en">Dividends paid to noncontrolling interest</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" xlink:to="lab_ifrs-full_DividendsPaidToNoncontrollingInterestsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xml:lang="en">Net increase (decrease) in cash and cash equivalents</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="lab_ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" xml:lang="en">Net cash flows from (used in) investing activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_ProceedsFromSaleOfFinancialAssets" xlink:label="loc_stm_ProceedsFromSaleOfFinancialAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_ProceedsFromSaleOfFinancialAssets" xml:lang="en">Proceeds From Sale Of Financial Assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ProceedsFromSaleOfFinancialAssets" xlink:to="lab_stm_ProceedsFromSaleOfFinancialAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_ProceedsFromSaleOfFinancialAssets" xml:lang="en">Proceeds from sale of financial assets.</label>
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_ProceedsFromMaturedMarketableSecurities" xlink:label="loc_stm_ProceedsFromMaturedMarketableSecurities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_ProceedsFromMaturedMarketableSecurities" xml:lang="en">Proceeds From Matured Marketable Securities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ProceedsFromMaturedMarketableSecurities" xlink:to="lab_stm_ProceedsFromMaturedMarketableSecurities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_ProceedsFromMaturedMarketableSecurities" xml:lang="en">Proceeds from matured marketable securities.</label>
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_PaymentForFinancialAssets" xlink:label="loc_stm_PaymentForFinancialAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_PaymentForFinancialAssets" xml:lang="en">Payment For Financial Assets</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_stm_PaymentForFinancialAssets" xml:lang="en">Payment For Financial Assets</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PaymentForFinancialAssets" xlink:to="lab_stm_PaymentForFinancialAssets" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_PaymentForFinancialAssets" xml:lang="en">Payment for financial assets.</label>
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_PaymentForPurchaseOfMarketableSecurities" xlink:label="loc_stm_PaymentForPurchaseOfMarketableSecurities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_PaymentForPurchaseOfMarketableSecurities" xml:lang="en">Payment For Purchase Of Marketable Securities</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_stm_PaymentForPurchaseOfMarketableSecurities" xml:lang="en">Payment For Purchase Of Marketable Securities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_PaymentForPurchaseOfMarketableSecurities" xlink:to="lab_stm_PaymentForPurchaseOfMarketableSecurities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_PaymentForPurchaseOfMarketableSecurities" xml:lang="en">Payment for purchase of marketable securities.</label>
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:label="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xml:lang="en">Movement of Other Assets and Liabilities Net</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xml:lang="en">Movement of Other Assets and Liabilities Net</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_MovementOfOtherAssetsAndLiabilitiesNet" xlink:to="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_MovementOfOtherAssetsAndLiabilitiesNet" xml:lang="en">Movement of other assets and liabilities, net.</label>
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xml:lang="en">Income taxes paid, classified as operating activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="lab_ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:label="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" xml:lang="en">Net cash flows from (used in) operating activities</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="lab_ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:label="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xml:lang="en">Impairment Restructuring Charges And Other Related Closure Costs Net Of Cash Payment</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xlink:to="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_ImpairmentRestructuringChargesAndOtherRelatedClosureCostsNetOfCashPayment" xml:lang="en">Impairment, restructuring charges and other related closure costs, net of cash payment.</label>
    <loc xlink:type="locator" xlink:href="213800Z8NOHIKRI42W10-2022-12-31.xsd#stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" xlink:label="loc_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/label" xlink:label="lab_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" xml:lang="en">Change In Fair Value Of Embedded Non Equity Derivative Instruments</label>
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2009/role/negatedLabel" xlink:label="lab_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" xml:lang="en">Change In Fair Value Of Embedded Non Equity Derivative Instruments</label>
    <labelArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" xlink:from="loc_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" xlink:to="lab_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" />
    <label xlink:type="resource" xlink:role="http://www.xbrl.org/2003/role/documentation" xlink:label="lab_stm_ChangeInFairValueOfEmbeddedNonEquityDerivativeInstruments" xml:lang="en">Change in Fair Value of Embedded non Equity derivative instruments.</label>
  </labelLink>
</linkbase>